GNU bug report logs - #18353
24.4.50; unicode chars in mode-line on tty

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Tom Tromey <tom@HIDDEN>; Keywords: moreinfo; dated Fri, 29 Aug 2014 03:26:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18353 <at> debbugs.gnu.org:


Received: (at 18353) by debbugs.gnu.org; 10 Oct 2021 22:15:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 10 18:15:42 2021
Received: from localhost ([127.0.0.1]:55973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZh6b-0003Eo-Vb
	for submit <at> debbugs.gnu.org; Sun, 10 Oct 2021 18:15:42 -0400
Received: from mail-pf1-f173.google.com ([209.85.210.173]:39674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mZh6X-00035d-Jz
 for 18353 <at> debbugs.gnu.org; Sun, 10 Oct 2021 18:15:40 -0400
Received: by mail-pf1-f173.google.com with SMTP id x130so4169747pfd.6
 for <18353 <at> debbugs.gnu.org>; Sun, 10 Oct 2021 15:15:37 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=AVv7grY/1l3ToKU82Zh2zui1wkyHLJcQxfPXPfA+CuE=;
 b=JAnVxXPBejGwzs02AIA0yAtTPL608V8H4mug1srx5tQpAWgXeKMYwI6jnWef1XIJjZ
 fcn7ynSQl3374nvxAYedVkFhZ0A4sQpDoYPJvJC1gGi9egYmwdeTCPCoqeAsYEDdy6mx
 X2bRwJMrXWDUCHr9ANMPYxvoevioGeUJLOlGDtFZ4+A9zVuz/wp0W2mbzelKbN+BnAST
 T5cWSICJDWW3T1zIKx0tyOj5v7wxxG9Pi32GLhMMNi1+Ah7I/5Hf2OUveJEQ5xrMQzM/
 X/Bv8v3+ErvVsMD3ZSj8zbTeQgFebLIWFB07d0YDRkl47PpT8ZcL4unxocRd13KKEj5L
 CVkg==
X-Gm-Message-State: AOAM53381z7bnIiB1l5L0p4jofy5e+6XNzPzIAi86sjnZBMk9+OEVa+d
 bpOAafcIeBQPZfO0keY/JsqTa3UYRihKH9BVa0Q=
X-Google-Smtp-Source: ABdhPJxZBvZpAHzVvVSit/+E4hYmjiB0LlwwEcunodGBKB90VyM0/FxsZef/9Yb+sMymGjqblF/dGw2hcCXJ8EGOrs4=
X-Received: by 2002:a63:4717:: with SMTP id u23mr15306066pga.359.1633904131716; 
 Sun, 10 Oct 2021 15:15:31 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 10 Oct 2021 15:15:31 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87r400f04k.fsf@HIDDEN> (Tom Tromey's message of "Thu, 28 Aug
 2014 21:25:15 -0600")
References: <87r400f04k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Date: Sun, 10 Oct 2021 15:15:31 -0700
Message-ID: <CADwFkmnXAKiAecvtzJ_aBSj+MkNL23gGCWfO_5u5sAzkzGq7Ug@HIDDEN>
Subject: Re: bug#18353: 24.4.50; unicode chars in mode-line on tty
To: Tom Tromey <tom@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 18353
Cc: 18353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Tom Tromey <tom@HIDDEN> writes:

> Invoke "emacs -Q -nw".  I used the XFCE terminal.
>
> Now evaluate
>
> (setq-default mode-line-format (propertize (string 32 32 #x26c3) 'face 'error))
>
> This sets the mode line to two spaces followed by an unusual character.
>
> For me the spaces are correctly displayed as red.
> However the following character is only partly red, and partly white.

Are you still seeing this on a recent Emacs?  I tried reproducing this
using xfce4-terminal in Debian but was unable to: the third character is
displayed as red.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18353; Package emacs. Full text available.

Message received at 18353 <at> debbugs.gnu.org:


Received: (at 18353) by debbugs.gnu.org; 29 Aug 2014 18:15:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 29 14:15:51 2014
Received: from localhost ([127.0.0.1]:53744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XNQiF-00015Z-7u
	for submit <at> debbugs.gnu.org; Fri, 29 Aug 2014 14:15:51 -0400
Received: from mtaout24.012.net.il ([80.179.55.180]:34560)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XNQiC-00015I-5N
 for 18353 <at> debbugs.gnu.org; Fri, 29 Aug 2014 14:15:49 -0400
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0NB200L00XSXIC00@HIDDEN> for
 18353 <at> debbugs.gnu.org; Fri, 29 Aug 2014 21:10:55 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NB200J3QYI7LD40@HIDDEN>; Fri, 29 Aug 2014 21:10:55 +0300 (IDT)
Date: Fri, 29 Aug 2014 21:15:41 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18353: 24.4.50; unicode chars in mode-line on tty
In-reply-to: <878um7ffte.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Tom Tromey <tom@HIDDEN>
Message-id: <83a96ni2lu.fsf@HIDDEN>
References: <87r400f04k.fsf@HIDDEN> <83r3zziyzg.fsf@HIDDEN>
 <87ha0vfhh7.fsf@HIDDEN> <83d2bji95w.fsf@HIDDEN>
 <878um7ffte.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18353
Cc: 18353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Tom Tromey <tom@HIDDEN>
> Cc: Tom Tromey <tom@HIDDEN>,  18353 <at> debbugs.gnu.org
> Date: Fri, 29 Aug 2014 09:58:37 -0600
> 
> Eli> Pressing F10 should drop down the File menu.  Then you can navigate
> Eli> them with arrow keys or C-f/C-b/C-n/C-p.  To select, press RET, to
> Eli> exit without selecting, press C-g.
> 
> Thanks.  Terminal menus seem to work fine.

So this is probably a different problem.

> Eli> Not even as a literal "\u26C3" string?  That would be strange,
> Eli> indeed.  What do you get in the *scratch* buffer if you type
> Eli> "C-x 8 RET 26C3 RET"?  Also, what is your terminal-coding-system?
> 
> When I type that I just see a space, in xterm.  Maybe there's a font
> problem.

Yes, most probably.

> terminal-coding-system returns utf-8-unix.

What happens if you say

  C-x RET t iso-safe RET

?  Do you then see \u26c3 instead of that character, in xterm?  Does
it have the right color?

One other idea I have is to dump to termscript the commands Emacs
sends to the terminal, and then look at them.

Can someone else see this on the XFCE terminal (I don't have access to
a system with it)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18353; Package emacs. Full text available.

Message received at 18353 <at> debbugs.gnu.org:


Received: (at 18353) by debbugs.gnu.org; 29 Aug 2014 15:58:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 29 11:58:58 2014
Received: from localhost ([127.0.0.1]:53664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XNOZl-00064P-VE
	for submit <at> debbugs.gnu.org; Fri, 29 Aug 2014 11:58:58 -0400
Received: from gproxy7-pub.mail.unifiedlayer.com ([70.40.196.235]:58656)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <tom@HIDDEN>) id 1XNOZj-00064G-Hw
 for 18353 <at> debbugs.gnu.org; Fri, 29 Aug 2014 11:58:56 -0400
Received: (qmail 2328 invoked by uid 0); 29 Aug 2014 15:58:49 -0000
Received: from unknown (HELO CMOut01) (10.0.90.82)
 by gproxy7.mail.unifiedlayer.com with SMTP; 29 Aug 2014 15:58:49 -0000
Received: from box522.bluehost.com ([74.220.219.122]) by CMOut01 with 
 id kfyg1o00u2f2jeq01fyj0F; Fri, 29 Aug 2014 09:58:48 -0600
X-Authority-Analysis: v=2.1 cv=LbyvtFvi c=1 sm=1 tr=0
 a=GsOEXm/OWkKvwdLVJsfwcA==:117 a=GsOEXm/OWkKvwdLVJsfwcA==:17 a=cNaOj0WVAAAA:8
 a=f5113yIGAAAA:8 a=4GsTxW34auoA:10 a=pueFXdSPmR8A:10 a=xoNogVJib-wA:10
 a=_cZRQKYwz3QA:10 a=zstS-IiYAAAA:8 a=PnD2wP_eR3oA:10 a=oMhZhQ4-4PIA:10
 a=Vuxot1hH1ldUd61Fr6YA:9
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=tromey.com;
 s=default; 
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
 bh=stSb4slSkD2/rGqO+oBFnbB1FDUfXSl1YqGmqDfTmzg=; 
 b=iRmAQOAFhcDykvP18FQjbuU7inMfex+18c09q9XInjqiMDWI73O0PEeqNgy1npbO7bHE0kzUg+THwb+Xe+gnh2PvfuBg5wjvqU0Ed1NefG/QvRYrzC1YkYqCHpwmLFul;
Received: from [71.33.141.119] (port=41990 helo=bapiya)
 by box522.bluehost.com with esmtpsa (TLSv1.2:AES128-GCM-SHA256:128)
 (Exim 4.82) (envelope-from <tom@HIDDEN>)
 id 1XNOZV-0005cF-Ea; Fri, 29 Aug 2014 09:58:41 -0600
From: Tom Tromey <tom@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18353: 24.4.50; unicode chars in mode-line on tty
References: <87r400f04k.fsf@HIDDEN> <83r3zziyzg.fsf@HIDDEN>
 <87ha0vfhh7.fsf@HIDDEN> <83d2bji95w.fsf@HIDDEN>
X-Attribution: Tom
Date: Fri, 29 Aug 2014 09:58:37 -0600
In-Reply-To: <83d2bji95w.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 29 Aug
 2014 18:54:03 +0300")
Message-ID: <878um7ffte.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Identified-User: {36111:box522.bluehost.com:elynrobi:tromey.com}
 {sentby:smtp auth 71.33.141.119 authed with tom+tromey.com}
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18353
Cc: Tom Tromey <tom@HIDDEN>, 18353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli> Pressing F10 should drop down the File menu.  Then you can navigate
Eli> them with arrow keys or C-f/C-b/C-n/C-p.  To select, press RET, to
Eli> exit without selecting, press C-g.

Thanks.  Terminal menus seem to work fine.

Eli> Does the problem happen for you in a different terminal emulator, say,
Eli> xterm?

Tom> It is worse in xterm.  There, the "unusual" character is not
Tom> displayed at all.

Eli> Not even as a literal "\u26C3" string?  That would be strange,
Eli> indeed.  What do you get in the *scratch* buffer if you type
Eli> "C-x 8 RET 26C3 RET"?  Also, what is your terminal-coding-system?

When I type that I just see a space, in xterm.  Maybe there's a font
problem.  I see the right thing when I use the XFCE terminal.

terminal-coding-system returns utf-8-unix.

Tom




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18353; Package emacs. Full text available.

Message received at 18353 <at> debbugs.gnu.org:


Received: (at 18353) by debbugs.gnu.org; 29 Aug 2014 15:54:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 29 11:54:13 2014
Received: from localhost ([127.0.0.1]:53660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XNOVA-0005xR-S2
	for submit <at> debbugs.gnu.org; Fri, 29 Aug 2014 11:54:13 -0400
Received: from mtaout26.012.net.il ([80.179.55.182]:52286)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XNOV7-0005xA-SQ
 for 18353 <at> debbugs.gnu.org; Fri, 29 Aug 2014 11:54:11 -0400
Received: from conversion-daemon.mtaout26.012.net.il by mtaout26.012.net.il
 (HyperSendmail v2007.08) id <0NB200600RW4KP00@HIDDEN> for
 18353 <at> debbugs.gnu.org; Fri, 29 Aug 2014 18:52:14 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout26.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NB2004C8S32QM20@HIDDEN>; Fri, 29 Aug 2014 18:52:14 +0300 (IDT)
Date: Fri, 29 Aug 2014 18:54:03 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18353: 24.4.50; unicode chars in mode-line on tty
In-reply-to: <87ha0vfhh7.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Tom Tromey <tom@HIDDEN>
Message-id: <83d2bji95w.fsf@HIDDEN>
References: <87r400f04k.fsf@HIDDEN> <83r3zziyzg.fsf@HIDDEN>
 <87ha0vfhh7.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18353
Cc: 18353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Tom Tromey <tom@HIDDEN>
> Cc: Tom Tromey <tom@HIDDEN>,  18353 <at> debbugs.gnu.org
> Date: Fri, 29 Aug 2014 09:22:44 -0600
> 
> Eli> Perhaps this is another manifestation of bug #17497?  Do you also have
> Eli> problems with TTY menus, as described in screenshots there?
> 
> I don't know how to get tty menus.

Pressing F10 should drop down the File menu.  Then you can navigate
them with arrow keys or C-f/C-b/C-n/C-p.  To select, press RET, to
exit without selecting, press C-g.

> Eli> Does the problem happen for you in a different terminal emulator, say,
> Eli> xterm?
> 
> It is worse in xterm.  There, the "unusual" character is not displayed
> at all.

Not even as a literal "\u26C3" string?  That would be strange,
indeed.  What do you get in the *scratch* buffer if you type
"C-x 8 RET 26C3 RET"?  Also, what is your terminal-coding-system?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18353; Package emacs. Full text available.

Message received at 18353 <at> debbugs.gnu.org:


Received: (at 18353) by debbugs.gnu.org; 29 Aug 2014 15:23:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 29 11:23:09 2014
Received: from localhost ([127.0.0.1]:53651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XNO16-0005BX-6O
	for submit <at> debbugs.gnu.org; Fri, 29 Aug 2014 11:23:08 -0400
Received: from gproxy2-pub.mail.unifiedlayer.com ([69.89.18.3]:54064)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <tom@HIDDEN>) id 1XNO12-0005BN-Mw
 for 18353 <at> debbugs.gnu.org; Fri, 29 Aug 2014 11:23:06 -0400
Received: (qmail 23954 invoked by uid 0); 29 Aug 2014 15:23:01 -0000
Received: from unknown (HELO cmgw4) (10.0.90.85)
 by gproxy2.mail.unifiedlayer.com with SMTP; 29 Aug 2014 15:23:01 -0000
Received: from box522.bluehost.com ([74.220.219.122]) by cmgw4 with 
 id klNq1o00z2f2jeq01lNt2S; Fri, 29 Aug 2014 15:22:59 -0600
X-Authority-Analysis: v=2.1 cv=KvHehwmN c=1 sm=1 tr=0
 a=GsOEXm/OWkKvwdLVJsfwcA==:117 a=GsOEXm/OWkKvwdLVJsfwcA==:17 a=cNaOj0WVAAAA:8
 a=f5113yIGAAAA:8 a=4GsTxW34auoA:10 a=pueFXdSPmR8A:10 a=xoNogVJib-wA:10
 a=_cZRQKYwz3QA:10 a=zstS-IiYAAAA:8 a=PnD2wP_eR3oA:10 a=oMhZhQ4-4PIA:10
 a=y62RheiKcOSkXrGuAO8A:9 a=7YteXZ_g0EIA:10 a=T2dv1GpX4q4A:10 a=SComHjugktsA:10
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=tromey.com;
 s=default; 
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
 bh=YMk5uY2AEiqVvj5CnAct3D+a0EPX9IktCaxjyJgcLPo=; 
 b=S5cSV3cX36VKJ3v20+EpT6CerxM+kwqLySg5U/cRr+FsUpLOWvIUJWyPpzpyg/vA+tbt1JCMUsxMVkQlom6xEKCN9BoNdVYLiZvNrTYhLrryvcYgnAnSZZ6UPZ4GJoyo;
Received: from [71.33.141.119] (port=41367 helo=bapiya)
 by box522.bluehost.com with esmtpsa (TLSv1.2:AES128-GCM-SHA256:128)
 (Exim 4.82) (envelope-from <tom@HIDDEN>)
 id 1XNO0p-0007ZU-FX; Fri, 29 Aug 2014 09:22:51 -0600
From: Tom Tromey <tom@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18353: 24.4.50; unicode chars in mode-line on tty
References: <87r400f04k.fsf@HIDDEN> <83r3zziyzg.fsf@HIDDEN>
X-Attribution: Tom
Date: Fri, 29 Aug 2014 09:22:44 -0600
In-Reply-To: <83r3zziyzg.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 29 Aug
 2014 09:36:19 +0300")
Message-ID: <87ha0vfhh7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Identified-User: {36111:box522.bluehost.com:elynrobi:tromey.com}
 {sentby:smtp auth 71.33.141.119 authed with tom+tromey.com}
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18353
Cc: Tom Tromey <tom@HIDDEN>, 18353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli> Perhaps this is another manifestation of bug #17497?  Do you also have
Eli> problems with TTY menus, as described in screenshots there?

I don't know how to get tty menus.

Eli> Does the problem happen for you in a different terminal emulator, say,
Eli> xterm?

It is worse in xterm.  There, the "unusual" character is not displayed
at all.

Tom




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18353; Package emacs. Full text available.

Message received at 18353 <at> debbugs.gnu.org:


Received: (at 18353) by debbugs.gnu.org; 29 Aug 2014 06:36:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 29 02:36:12 2014
Received: from localhost ([127.0.0.1]:53088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XNFnA-0006H6-57
	for submit <at> debbugs.gnu.org; Fri, 29 Aug 2014 02:36:12 -0400
Received: from mtaout26.012.net.il ([80.179.55.182]:36082)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XNFn7-0006Gs-Qh
 for 18353 <at> debbugs.gnu.org; Fri, 29 Aug 2014 02:36:10 -0400
Received: from conversion-daemon.mtaout26.012.net.il by mtaout26.012.net.il
 (HyperSendmail v2007.08) id <0NB200H001YVW800@HIDDEN> for
 18353 <at> debbugs.gnu.org; Fri, 29 Aug 2014 09:34:16 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout26.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NB200H7N293P210@HIDDEN>; Fri, 29 Aug 2014 09:34:16 +0300 (IDT)
Date: Fri, 29 Aug 2014 09:36:19 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18353: 24.4.50; unicode chars in mode-line on tty
In-reply-to: <87r400f04k.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Tom Tromey <tom@HIDDEN>
Message-id: <83r3zziyzg.fsf@HIDDEN>
References: <87r400f04k.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18353
Cc: 18353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Tom Tromey <tom@HIDDEN>
> Date: Thu, 28 Aug 2014 21:25:15 -0600
> 
> Invoke "emacs -Q -nw".  I used the XFCE terminal.
> 
> Now evaluate
> 
> (setq-default mode-line-format (propertize (string 32 32 #x26c3) 'face 'error))
> 
> This sets the mode line to two spaces followed by an unusual character.
> 
> For me the spaces are correctly displayed as red.
> However the following character is only partly red, and partly white.

I cannot reproduce this with yesterday's build of the trunk.  I tried
on GNU/Linux using PuTTY as the terminal emulator (which emulates
xterm), and on MS-Windows, and in both cases the u+26c3 character had
a correct face (color).

Perhaps this is another manifestation of bug #17497?  Do you also have
problems with TTY menus, as described in screenshots there?

Does the problem happen for you in a different terminal emulator, say,
xterm?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18353; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Aug 2014 03:26:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 28 23:26:01 2014
Received: from localhost ([127.0.0.1]:53009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XNCp5-0001TD-VH
	for submit <at> debbugs.gnu.org; Thu, 28 Aug 2014 23:26:00 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50235)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tom@HIDDEN>) id 1XNCp2-0001Sv-AV
 for submit <at> debbugs.gnu.org; Thu, 28 Aug 2014 23:25:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tom@HIDDEN>) id 1XNCop-0004BZ-1Q
 for submit <at> debbugs.gnu.org; Thu, 28 Aug 2014 23:25:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34900)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tom@HIDDEN>) id 1XNCoo-0004BV-V0
 for submit <at> debbugs.gnu.org; Thu, 28 Aug 2014 23:25:42 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51937)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tom@HIDDEN>) id 1XNCoh-0004eR-M4
 for bug-gnu-emacs@HIDDEN; Thu, 28 Aug 2014 23:25:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tom@HIDDEN>) id 1XNCoa-00049N-66
 for bug-gnu-emacs@HIDDEN; Thu, 28 Aug 2014 23:25:35 -0400
Received: from gproxy2-pub.mail.unifiedlayer.com ([69.89.18.3]:47151)
 by eggs.gnu.org with smtp (Exim 4.71)
 (envelope-from <tom@HIDDEN>) id 1XNCoZ-000494-Pl
 for bug-gnu-emacs@HIDDEN; Thu, 28 Aug 2014 23:25:28 -0400
Received: (qmail 28996 invoked by uid 0); 29 Aug 2014 03:25:23 -0000
Received: from unknown (HELO cmgw4) (10.0.90.85)
 by gproxy2.mail.unifiedlayer.com with SMTP; 29 Aug 2014 03:25:23 -0000
Received: from box522.bluehost.com ([74.220.219.122]) by cmgw4 with 
 id kZRJ1o00f2f2jeq01ZRMFN; Fri, 29 Aug 2014 03:25:21 -0600
X-Authority-Analysis: v=2.1 cv=KvHehwmN c=1 sm=1 tr=0
 a=GsOEXm/OWkKvwdLVJsfwcA==:117 a=GsOEXm/OWkKvwdLVJsfwcA==:17 a=cNaOj0WVAAAA:8
 a=f5113yIGAAAA:8 a=rztnnZMoq7QA:10 a=SNrVWRNSWaQA:10 a=_cZRQKYwz3QA:10
 a=zstS-IiYAAAA:8 a=PnD2wP_eR3oA:10 a=oMhZhQ4-4PIA:10 a=gzTt_FwvNDYmanxT_6QA:9
 a=4jYV9Dc2gaYc7Jr9:21 a=tlVXysHeBG5zkkRW:21
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=tromey.com;
 s=default; 
 h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From;
 bh=2YYAOMCSFe78W98dpxZ8YSR/RL8880VnQpBPa7MSaJA=; 
 b=tl4D5Us4tGAWADxMrJoPH+tmXOT4QAK3go3h18ubg1XZv48csClTKDbjbHxqLL1aeSVZOFJeYTM19lyCJg7bseKyNGp0gyYyeq+U6yFx6Or9PDD2Z4Iiz90c+bIzi3Ng;
Received: from [71.33.141.119] (port=40961 helo=bapiya)
 by box522.bluehost.com with esmtpsa (TLSv1.2:AES128-GCM-SHA256:128)
 (Exim 4.82) (envelope-from <tom@HIDDEN>)
 id 1XNCoR-0001kR-Jp; Thu, 28 Aug 2014 21:25:19 -0600
From: Tom Tromey <tom@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.4.50; unicode chars in mode-line on tty
X-Attribution: Tom
Date: Thu, 28 Aug 2014 21:25:15 -0600
Message-ID: <87r400f04k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Identified-User: {36111:box522.bluehost.com:elynrobi:tromey.com}
 {sentby:smtp auth 71.33.141.119 authed with tom+tromey.com}
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)



Invoke "emacs -Q -nw".  I used the XFCE terminal.

Now evaluate

(setq-default mode-line-format (propertize (string 32 32 #x26c3) 'face 'error))

This sets the mode line to two spaces followed by an unusual character.

For me the spaces are correctly displayed as red.
However the following character is only partly red, and partly white.




In GNU Emacs 24.4.50.3 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.9)
 of 2014-08-25 on bapiya
Repository revision: 117737 larsi@HIDDEN
Windowing system distributor `Fedora Project', version 11.0.11404000
Configured using:
 `configure --prefix=/home/tromey/Emacs/install'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  diff-auto-refine-mode: t
  gnus-topic-mode: t
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  helm-match-plugin-mode: t
  helm-occur-match-plugin-mode: t
  which-function-mode: t
  global-auto-revert-mode: t
  erc-services-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  savehist-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t

Recent input:
C-x k <return> C-h f <return> C-x o C-n C-f <return> 
C-x 1 C-h v c o m m e n t - a u o t <tab> <backspace> 
<backspace> t o <tab> <return> C-x b <return> C-s C-s 
C-s C-s C-a C-s c o m m e n t - a u t o C-w C-w C-w 
C-s C-s C-s C-s C-s C-s C-x b <return> C-x 1 C-x b 
<return> C-n C-s C-s C-s C-a C-s t c l - a u t o - 
C-v C-s C-s C-l C-x v v M-b <M-backspace> C-x C-s C-x 
v v d o n ' t SPC u s e SPC t c l - a u t o - f M-/ 
C-c C-c C-z n C-z n C-u C-n C-n C-e C-x C-e C-x C-f 
M-p <return> C-h v a u t o - f i l <M-backspace> <M-backspace> 
c o m m e n t - a u t <tab> <return> C-x k <return> 
C-x 1 C-f C-f C-l C-z n C-z n C-h f f l y s p <tab> 
p r <tab> o <tab> g <tab> <return> C-x 1 M-< C-s f 
l y s p e l l - p r o <backspace> <backspace> <backspace> 
C-s C-s C-s C-s C-r C-r C-s C-s C-s C-s C-s C-z n n 
n n = n n C-z n C-z n = n SPC = <switch-frame> C-s 
p r o p e r t i z e C-a C-z n <backspace> < = n n SPC 
SPC <backspace> n SPC n = n = n = C-u C-n C-u C-n p 
SPC = n SPC = <backspace> <backspace> = n = c SPC l 
s y M-x r e p o r t - e m <tab> <return>

Recent messages:
Saving file /home/tromey/.bbdb...
Wrote /home/tromey/.bbdb
Saving Gnus registry (328 entries) to ~/.gnus.registry.eioio...
Saving Gnus registry (size 328) to ~/.gnus.registry.eioio...done
Saving file /home/tromey/.newsrc...
Wrote /home/tromey/.newsrc
Saving /home/tromey/.newsrc.eld...
Saving file /home/tromey/.newsrc.eld...
Wrote /home/tromey/.newsrc.eld
Saving /home/tromey/.newsrc.eld...done

Load-path shadows:
/home/tromey/.emacs.d/elpa/css-mode-1.0/css-mode hides /home/tromey/Emacs/install/share/emacs/24.4.50/lisp/textmodes/css-mode
/home/tromey/.emacs.d/elpa/bubbles-0.5/bubbles hides /home/tromey/Emacs/install/share/emacs/24.4.50/lisp/play/bubbles

Features:
(tcl shadow emacsbug calc calc-loaddefs calc-macs debug xterm
org-element org-rmail org-mhe org-irc org-info org-gnus org-docview
doc-view image-mode org-bibtex bibtex org-bbdb org-w3m org org-macro
org-footnote org-pcomplete org-list org-faces org-entities noutline
outline org-version ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob
ob-table ob-keys ob-exp ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs gnus-fun whitespace gdb-shell find-file make-mode idutils
derived cc-langs cc-mode cc-fonts cc-guess cc-menus cc-cmds smerge-mode
bug-reference goto-addr ido dabbrev log-edit pcvs-util add-log copyright
diff-mode jka-compr eieio-opt speedbar sb-image ezimage dframe shr-color
color help-mode mailalias bbdb-sc supercite easy-mmode regi mail-hist
nnir flow-fill misearch multi-isearch gnus-html url-cache mm-url
bbdb-gui bbdb-hooks vc-arch vc-mtn vc-hg vc-git vc-bzr vc-sccs vc-svn
vc-cvs vc-rcs mule-util sort gnus-cite smiley qp shr mm-archive
gnus-async gnus-bcklg gnus-ml disp-table gnus-topic nndraft nnmh
nnfolder utf-7 bbdb-gnus bbdb-snarf mail-extr bbdb-com warnings cl
gnutls network-stream starttls gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg nntp gnus-cache gnus-registry registry
eieio-base gnus-art mm-uu mml2015 epg-config mm-view mml-smime smime dig
gnus-sum gnus-group gnus-undo smtpmail sendmail gnus-start gnus-cloud
nnimap nnmail mail-source tls utf7 netrc nnoo parse-time gnus-spec
gnus-int gnus-range message rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev
gmm-utils mailheader gnus-win gnus gnus-ems nnheader mail-utils
helm-mode helm-files rx image-dired tramp tramp-compat tramp-loaddefs
trampver shell dired-x dired-aux ffap helm-buffers helm-elscreen
helm-tags helm-bookmark helm-adaptive helm-info helm-net browse-url xml
url url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util url-parse url-vars mailcap helm-plugin bookmark
helm-locate helm-help helm-match-plugin helm-grep helm-regexp
helm-external helm-utils dired helm cl-macs gv flyspell ispell eldoc
diminish projectile edmacro kmacro pkg-info find-func lisp-mnt epl grep
compile dash s appt diary-lib diary-loaddefs cal-menu calendar
cal-loaddefs which-func imenu minimap autorevert filenotify cus-start
cus-load status erc-services erc-list erc-menu erc-join erc-ring
erc-networks erc-pcomplete pcomplete erc-track erc-match erc-button
wid-edit cl-loaddefs cl-lib erc-fill erc-stamp erc-netsplit erc-goodies
erc erc-backend erc-compat format-spec auth-source eieio byte-opt
bytecomp byte-compile cconv eieio-core gnus-util mm-util mail-prsvr
password-cache thingatpt pp advice help-fns vc-dir ewoc vc vc-dispatcher
cc-styles cc-align cc-engine cc-vars cc-defs bbdb timezone ange-ftp
comint ansi-color ring server savehist dwarf-mode-autoloads
gdb-shell-autoloads jabber-autoloads lisppaste-autoloads
pydoc-info-autoloads info-look info easymenu weblogger-autoloads package
bbdb-autoloads time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 849453 111865)
 (symbols 48 102971 161)
 (miscs 40 22350 6553)
 (strings 32 316892 32509)
 (string-bytes 1 6928691)
 (vectors 16 98216)
 (vector-slots 8 2092675 147829)
 (floats 8 622 1093)
 (intervals 56 54927 2202)
 (buffers 976 91)
 (heap 1024 251219 75022))

Tom




Acknowledgement sent to Tom Tromey <tom@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18353; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 23 Oct 2021 05:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.